%global install_loc    %{_datadir}/eclipse/dropins/packagekit
%global debug_package %{nil}

Name:           eclipse-packagekit
Version:        0.0.2
Release:        4%{?dist}
Summary:        PackageKit integration tools for Eclipse (Incubation)

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/eclipse-packagekit/
# Fetched from http://fedorapeople.org/gitweb?p=akurtakov/public_git/eclipse-pkgkit.git;a=snapshot;h=4da4a97539ab2397abe0f745fa7eb8536d22d832;sf=tgz
Source0:        eclipse-pkgkit-%{version}.tar.gz

BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: dbus-java
Requires: eclipse-platform >= 3.4.0
Requires: dbus-java

%description
PackageKit integration plugin. It also contains autotools and rpm
plugins integration code.

%prep
%setup -q -n eclipse-pkgkit-4da4a97

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/dbus-java/dbus.jar dbus.jar
ln -s %{_libdir}/libmatthew-java/unix.jar unix.jar
ln -s %{_libdir}/libmatthew-java/hexdump.jar hexdump.jar
popd

%build
eclipse-pdebuild -o `pwd`/orbitDeps

%install
install -d -m 755 %{buildroot}%{install_loc}

unzip -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.packagekit.zip 
pushd %{buildroot}%{install_loc}/eclipse/plugins
ln -s %{_javadir}/dbus-java/dbus.jar dbus.jar
ln -s %{_libdir}/libmatthew-java/unix.jar unix.jar
ln -s %{_libdir}/libmatthew-java/hexdump.jar hexdump.jar
popd

%files
%{install_loc}
%doc org.eclipse.linuxtools.packagekit.feature/license.html
%doc org.eclipse.linuxtools.packagekit.feature/epl-v10.html

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 3 2012 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-3
- Fix build with new pdebuild.
- Fix url to point to the new home.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 8 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-1
- Update to upstream 0.0.2.
- Review fixes.

* Tue Jul 5 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.1-1
- Initial package.
